Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.AccessibleJTree.AccessibleJTreeNode

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JTree.AccessibleJTree.AccessibleJTreeNode

protected class JTree.AccessibleJTree.AccessibleJTreeNode
extends AccessibleContext
implements Accessible, AccessibleComponent, AccessibleSelection, AccessibleAction

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JTree.AccessibleJTree.AccessibleJTreeNode(JTree t, TreePath p, Accessible ap)` Constructs an AccessibleJTreeNode

Method Summary
`void` | `addAccessibleSelection(int i)` Adds the specified selected item in the object to the object's selection.
`void` | `addFocusListener(java.awt.event.FocusListener l)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add a PropertyChangeListener to the listener list.
`void` | `clearAccessibleSelection()` Clears the selection in the object, so that nothing in the object is selected.
`boolean` | `contains(java.awt.Point p)`
`boolean` | `doAccessibleAction(int i)` Perform the specified Action on the tree node.
`AccessibleAction` | `getAccessibleAction()` Get the AccessibleAction associated with this object if one exists.
`int` | `getAccessibleActionCount()` Returns the number of accessible actions available in this tree node.
`java.lang.String` | `getAccessibleActionDescription(int i)` Return a description of the specified action of the tree node.
`Accessible` | `getAccessibleAt(java.awt.Point p)`
`Accessible` | `getAccessibleChild(int i)` Return the specified Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleComponent` | `getAccessibleComponent()` Get the AccessibleComponent associated with this tree node NOTE: if the node is not displayed (either scrolled off of the screen, or not expanded), this will return null
`AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this tree node
`java.lang.String` | `getAccessibleDescription()` Get the accessible description of this object.
`int` | `getAccessibleIndexInParent()` Get the index of this object in its accessible parent.
`java.lang.String` | `getAccessibleName()` Get the accessible name of this object.
`Accessible` | `getAccessibleParent()` Get the Accessible parent of this object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object if one exists.
`Accessible` | `getAccessibleSelection(int i)` Returns an Accessible representing the specified selected item in the object.
`int` | `getAccessibleSelectionCount()` Returns the number of items currently selected.
`AccessibleStateSet` | `getAccessibleStateSet()` Get the state set of this object.
`AccessibleText` | `getAccessibleText()` Get the AccessibleText associated with this object if one exists.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object if one exists.
`java.awt.Color` | `getBackground()` Get the background color of this object.
`java.awt.Rectangle` | `getBounds()`
`java.awt.Cursor` | `getCursor()`
`java.awt.Font` | `getFont()`
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font f)`
`java.awt.Color` | `getForeground()` Get the foreground color of this object.
`java.util.Locale` | `getLocale()` Gets the locale of the component.
`java.awt.Point` | `getLocation()`
`protected java.awt.Point` | `getLocationInJTree()`
`java.awt.Point` | `getLocationOnScreen()`
`java.awt.Dimension` | `getSize()`
`boolean` | `isAccessibleChildSelected(int i)` Returns true if the current child of this object is selected.
`boolean` | `isEnabled()`
`boolean` | `isFocusTraversable()`
`boolean` | `isShowing()`
`boolean` | `isVisible()`
`void` | `removeAccessibleSelection(int i)` Removes the specified selected item in the object from the object's selection.
`void` | `removeFocusListener(java.awt.event.FocusListener l)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Remove a PropertyChangeListener from the listener list.
`void` | `requestFocus()`
`void` | `selectAllAccessibleSelection()` Causes every selected item in the object to be selected if the object supports multiple selections.
`void` | `setAccessibleDescription(java.lang.String s)` Set the accessible description of this object.
`void` | `setAccessibleName(java.lang.String s)` Set the localized accessible name of this object.
`void` | `setBackground(java.awt.Color c)` Set the background color of this object.
`void` | `setBounds(java.awt.Rectangle r)`
`void` | `setCursor(java.awt.Cursor c)`
`void` | `setEnabled(boolean b)`
`void` | `setFont(java.awt.Font f)`
`void` | `setForeground(java.awt.Color c)`
`void` | `setLocation(java.awt.Point p)`
`void` | `setSize(java.awt.Dimension d)`
`void` | `setVisible(boolean b)`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTree.AccessibleJTree.AccessibleJTreeNode

    public JTree.AccessibleJTree.AccessibleJTreeNode(JTree t,
                                                     TreePath p,
                                                     Accessible ap)

  Constructs an AccessibleJTreeNode

Method Detail

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this tree node
  Specified by:
    getAccessibleContext in interface Accessible
  Returns:
    the AccessibleContext of this JComponent

### getAccessibleName

    public java.lang.String getAccessibleName()

  Get the accessible name of this object.
  Returns:
    the localized name of the object; null if this object does not have a name
  Overrides:
    getAccessibleName in class AccessibleContext

### setAccessibleName

    public void setAccessibleName(java.lang.String s)

  Set the localized accessible name of this object.
  Parameters:
    `s` - the new localized name of the object.
  Overrides:
    setAccessibleName in class AccessibleContext

### getAccessibleDescription

    public java.lang.String getAccessibleDescription()

  Get the accessible description of this object.
  Returns:
    the localized description of the object; null if this object does not have a description
  Overrides:
    getAccessibleDescription in class AccessibleContext

### setAccessibleDescription

    public void setAccessibleDescription(java.lang.String s)

  Set the accessible description of this object.
  Parameters:
    `s` - the new localized description of the object
  Overrides:
    setAccessibleDescription in class AccessibleContext

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class AccessibleContext
  See Also:
    `AccessibleRole`

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Get the state set of this object.
  Returns:
    an instance of AccessibleStateSet containing the current state set of the object
  Overrides:
    getAccessibleStateSet in class AccessibleContext
  See Also:
    `AccessibleState`

### getAccessibleParent

    public Accessible getAccessibleParent()

  Get the Accessible parent of this object.
  Returns:
    the Accessible parent of this object; null if this object does not have an Accessible parent
  Overrides:
    getAccessibleParent in class AccessibleContext

### getAccessibleIndexInParent

    public int getAccessibleIndexInParent()

  Get the index of this object in its accessible parent.
  Returns:
    the index of this object in its parent; -1 if this object does not have an accessible parent.
  Overrides:
    getAccessibleIndexInParent in class AccessibleContext
  See Also:
    `getAccessibleParent()`

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object.
  Returns:
    the number of accessible children in the object.
  Overrides:
    getAccessibleChildrenCount in class AccessibleContext

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the specified Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the Accessible child of the object
  Overrides:
    getAccessibleChild in class AccessibleContext

### getLocale

    public java.util.Locale getLocale()

  Gets the locale of the component. If the component does not have a locale, then the locale of its parent is returned.
  Returns:
    This component's locale. If this component does not have a locale, the locale of its parent is returned.
  Throws:
    java.awt.IllegalComponentStateException - If the Component does not have its own locale and has not yet been added to a containment hierarchy such that the locale can be determined from the containing parent.
  Overrides:
    getLocale in class AccessibleContext
  See Also:
    `setLocale`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be added
  Overrides:
    addPropertyChangeListener in class AccessibleContext

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Remove a PropertyChangeListener from the listener list. This removes a PropertyChangeListener that was registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be removed
  Overrides:
    removePropertyChangeListener in class AccessibleContext

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Get the AccessibleAction associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleAction, or null
  Overrides:
    getAccessibleAction in class AccessibleContext

### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()

  Get the AccessibleComponent associated with this tree node NOTE: if the node is not displayed (either scrolled off of the screen, or not expanded), this will return null
  Returns:
    the AccessibleComponent of this tree node
  Overrides:
    getAccessibleComponent in class AccessibleContext

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleSelection, or null
  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleText

    public AccessibleText getAccessibleText()

  Get the AccessibleText associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleText, or null
  Overrides:
    getAccessibleText in class AccessibleContext

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleValue, or null
  Overrides:
    getAccessibleValue in class AccessibleContext

### getBackground

    public java.awt.Color getBackground()

  Get the background color of this object.
  Specified by:
    getBackground in interface AccessibleComponent
  Returns:
    the background color, if supported, of the object; otherwise, null

### setBackground

    public void setBackground(java.awt.Color c)

  Set the background color of this object.
  Specified by:
    setBackground in interface AccessibleComponent
  Parameters:
    `c` - the new Color for the background

### getForeground

    public java.awt.Color getForeground()

  Get the foreground color of this object.
  Specified by:
    getForeground in interface AccessibleComponent
  Returns:
    the foreground color, if supported, of the object; otherwise, null

### setForeground

    public void setForeground(java.awt.Color c)

  Specified by:
    setForeground in interface AccessibleComponent

### getCursor

    public java.awt.Cursor getCursor()

  Specified by:
    getCursor in interface AccessibleComponent

### setCursor

    public void setCursor(java.awt.Cursor c)

  Specified by:
    setCursor in interface AccessibleComponent

### getFont

    public java.awt.Font getFont()

  Specified by:
    getFont in interface AccessibleComponent

### setFont

    public void setFont(java.awt.Font f)

  Specified by:
    setFont in interface AccessibleComponent

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font f)

  Specified by:
    getFontMetrics in interface AccessibleComponent

### isEnabled

    public boolean isEnabled()

  Specified by:
    isEnabled in interface AccessibleComponent

### setEnabled

    public void setEnabled(boolean b)

  Specified by:
    setEnabled in interface AccessibleComponent

### isVisible

    public boolean isVisible()

  Specified by:
    isVisible in interface AccessibleComponent

### setVisible

    public void setVisible(boolean b)

  Specified by:
    setVisible in interface AccessibleComponent

### isShowing

    public boolean isShowing()

  Specified by:
    isShowing in interface AccessibleComponent

### contains

    public boolean contains(java.awt.Point p)

  Specified by:
    contains in interface AccessibleComponent

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Specified by:
    getLocationOnScreen in interface AccessibleComponent

### getLocationInJTree

    protected java.awt.Point getLocationInJTree()

### getLocation

    public java.awt.Point getLocation()

  Specified by:
    getLocation in interface AccessibleComponent

### setLocation

    public void setLocation(java.awt.Point p)

  Specified by:
    setLocation in interface AccessibleComponent

### getBounds

    public java.awt.Rectangle getBounds()

  Specified by:
    getBounds in interface AccessibleComponent

### setBounds

    public void setBounds(java.awt.Rectangle r)

  Specified by:
    setBounds in interface AccessibleComponent

### getSize

    public java.awt.Dimension getSize()

  Specified by:
    getSize in interface AccessibleComponent

### setSize

    public void setSize(java.awt.Dimension d)

  Specified by:
    setSize in interface AccessibleComponent

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Specified by:
    getAccessibleAt in interface AccessibleComponent

### isFocusTraversable

    public boolean isFocusTraversable()

  Specified by:
    isFocusTraversable in interface AccessibleComponent

### requestFocus

    public void requestFocus()

  Specified by:
    requestFocus in interface AccessibleComponent

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Specified by:
    addFocusListener in interface AccessibleComponent

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener l)

  Specified by:
    removeFocusListener in interface AccessibleComponent

### getAccessibleSelectionCount

    public int getAccessibleSelectionCount()

  Returns the number of items currently selected. If no items are selected, the return value will be 0.
  Specified by:
    getAccessibleSelectionCount in interface AccessibleSelection
  Returns:
    the number of items currently selected.

### getAccessibleSelection

    public Accessible getAccessibleSelection(int i)

  Returns an Accessible representing the specified selected item in the object. If there isn't a selection, or there are fewer items selcted than the integer passed in, the return value will be null.
  Specified by:
    getAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selected items
  Returns:
    an Accessible containing the selected item

### isAccessibleChildSelected

    public boolean isAccessibleChildSelected(int i)

  Returns true if the current child of this object is selected.
  Specified by:
    isAccessibleChildSelected in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of the child in this Accessible object.
  See Also:
    `AccessibleContext.getAccessibleChild(int)`

### addAccessibleSelection

    public void addAccessibleSelection(int i)

  Adds the specified selected item in the object to the object's selection. If the object supports multiple selections, the specified item is added to any existing selection, otherwise it replaces any existing selection in the object. If the specified item is already selected, this method has no effect.
  Specified by:
    addAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### removeAccessibleSelection

    public void removeAccessibleSelection(int i)

  Removes the specified selected item in the object from the object's selection. If the specified item isn't currently selected, this method has no effect.
  Specified by:
    removeAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### clearAccessibleSelection

    public void clearAccessibleSelection()

  Clears the selection in the object, so that nothing in the object is selected.
  Specified by:
    clearAccessibleSelection in interface AccessibleSelection

### selectAllAccessibleSelection

    public void selectAllAccessibleSelection()

  Causes every selected item in the object to be selected if the object supports multiple selections.
  Specified by:
    selectAllAccessibleSelection in interface AccessibleSelection

### getAccessibleActionCount

    public int getAccessibleActionCount()

  Returns the number of accessible actions available in this tree node. If this node is not a leaf, there is at least one action (toggle expand), in addition to any available on the object behind the TreeCellRenderer.
  Specified by:
    getAccessibleActionCount in interface AccessibleAction
  Returns:
    the number of Actions in this object

### getAccessibleActionDescription

    public java.lang.String getAccessibleActionDescription(int i)

  Return a description of the specified action of the tree node. If this node is not a leaf, there is at least one action description (toggle expand), in addition to any available on the object behind the TreeCellRenderer.
  Specified by:
    getAccessibleActionDescription in interface AccessibleAction
  Parameters:
    `i` - zero-based index of the actions
  Returns:
    a description of the action

### doAccessibleAction

    public boolean doAccessibleAction(int i)

  Perform the specified Action on the tree node. If this node is not a leaf, there is at least one action which can be done (toggle expand), in addition to any available on the object behind the TreeCellRenderer.
  Specified by:
    doAccessibleAction in interface AccessibleAction
  Parameters:
    `i` - zero-based index of actions
  Returns:
    true if the the action was performed; else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.